//============================================================================
// Hierarchical state machine manager
//
// Lowlevel.c : Some machine dependant definitions
//
// (c) Robert Lacoste 2013, 
//
// Use this software freely, but provided without any warranty or support
//============================================================================

#include <stdio.h>
#include <stdlib.h>
#include "Lowlevel.h"


//----------------------------------------------------------------------------
// disable_interrupts
//----------------------------------------------------------------------------

void disable_interrupts(void)
{
	// Should be defined, no interrupt used for this demo
}


//----------------------------------------------------------------------------
// enaable_interrupts
//----------------------------------------------------------------------------

void enable_interrupts(void)
{
	// Should be defined, no interrupt used for this demo
}


//----------------------------------------------------------------------------
// assert
//----------------------------------------------------------------------------

void assert(BOOL x)
{
	if(!x)
	{
		// Should be defined depending on the required behavior in case
		// of non recoverable error
		printf("FATAL ERROR\n");
		while(1);
	}
}


// END OF FILE

